#pragma once

#include <vector>


double sumOfVector(std::vector<double> vec);
double meanOfVector(std::vector<double> vec);

double varianceOfVector(std::vector<double> vec, double mean);
double stddevOfVector(std::vector<double> vec, double mean);

double rmsDiffOfVectors(std::vector<double> vec1, std::vector<double> vec2);

double quantileOfVector(std::vector<double> vec, double q);

double maxOfVector(std::vector<double> vec);
int argmaxOfVector(std::vector<double> vec);
double minOfVector(std::vector<double> vec);
int argminOfVector(std::vector<double> vec);

void normaliseProbabilities(std::vector<double> & vec);
