#pragma once

#include <cstdio>
#include <vector>


void wrapHostMalloc(void ** vp, std::size_t size);
void wrapHostMallocZeroed(void ** vp, std::size_t size);
void wrapHostFree(void ** vp);


FILE * openfileForReading(const char * fpath);
FILE * openFileForWriting(const char * fpath);
FILE * openFileForAppending(const char * fpath);

bool dirExists(const char * dpath);
bool fileExists(const char * fpath);

std::vector<double> gatherValues(const char *name, char *line);
void readNextNonemptyline(FILE *fp, char *line);
void fprintfVectorValues(FILE *fp, const char *name, std::vector<double> vec);

